Index: chan_sip.c
===================================================================
--- chan_sip.c	(revision 6556)
+++ chan_sip.c	(working copy)
@@ -4663,10 +4663,6 @@
 		if (intended_method == SIP_REFER) {
 			/* We do support REFER, but not outside of a dialog yet */
 			transmit_response_using_temp(callid, sin, 1, intended_method, req, "603 Declined (no dialog)");
-		} else if (intended_method == SIP_NOTIFY) {
-			/* We do not support out-of-dialog NOTIFY either,
-		   	like voicemail notification, so cancel that early */
-			transmit_response_using_temp(callid, sin, 1, intended_method, req, "489 Bad event");
 		} else {
 			/* Ok, time to create a new SIP dialog object, a pvt */
 			if ((p = sip_alloc(callid, sin, 1, intended_method)))  {
@@ -13452,7 +13448,9 @@
 	if (option_debug > 1 && sipdebug)
 		ast_log(LOG_DEBUG, "Got NOTIFY Event: %s\n", event);
 
-	if (strcmp(event, "refer")) {
+	if (!strcmp(event, "keep-alive"))
+		transmit_response(p, "200 OK", req);
+	else if (strcmp(event, "refer")) {
 		/* We don't understand this event. */
 		/* Here's room to implement incoming voicemail notifications :-) */
 		transmit_response(p, "489 Bad event", req);
